Skip to content

Update a resource owner

Request

OAuth 2.0 scope:
  • okta.governance.resourceOwner.manage
Admin roles:
  • SUPER_ADMIN
Permissions:
  • okta.apps.manage
  • okta.users.read
  • okta.groups.read

Updates a resource owner.

Bodyapplication/jsonrequired
resourceOrnstring, (okta-resource-orn)(resource-owner-resource-orn)required

The ID of the resource in ORN format. The resource can be an app, an entitlement value, an entitlement bundle, a collection, or an AI agent. See supported resources.

dataArray of objects, [ 1 .. 5 ] itemsrequired
PATCH
/governance/api/v1/resource-owners
curl -i -X PATCH \
  https://subdomain.okta.com/governance/api/v1/resource-owners \
  -H 'Content-Type: application/json' \
  -d '{
    "resourceOrn": "orn:okta:governance:00o11edPwGqbUrsDm0g4:entitlement-bundles:enbogpaj3XUzcM62u1d6",
    "data": [
      {
        "op": "REMOVE",
        "path": "/principalOrn",
        "value": "orn:okta:directory:00o11edPwGqbUrsDm0g4:users:00u20sfroCwbHQO4a0g"
      },
      {
        "op": "REMOVE",
        "path": "/principalOrn",
        "value": "orn:okta:directory:00o11edPwGqbUrsDm0g4:users:00u10sfroCwbHQO4a0g"
      }
    ]
  }'

Responses

Resource owners success patch response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Response
No content